@import url("colors.css");

.t-error {
	padding: 5px;
	margin-bottom: 10px;
	border: 1px solid transparent;
	border-radius: 4px;
	color: #a94442;
	background-color: #f2dede;
	border-color: #ebccd1;
}

.t-error-icon {
	display: none;
}

div.t-data-grid-pager {
	margin: 8px 0px;
}

div.t-data-grid-pager a, div.t-data-grid-pager span.current {
	text-decoration: none;
	color: black;
	padding: 2px 5px;
	border: 1px solid silver;
	margin-right: 5px;
}

div.t-data-grid-pager a:hover {
	border: 1px solid black;
}

div.t-data-grid-pager span.current {
	color: white;
	background-color: gray;
}

dl.t-beandisplay {
	overflow: auto;
	white-space: nowrap;
	display: block;
	padding: 2px;
	width: auto;
}

dl.t-beandisplay dt {
	width: 250px;
	display: inline;
	float: left;
	clear: left;
	padding-right: 5px;
	vertical-align: middle;
}

dl.t-beandisplay dt:after {
	content: ":";
}

div.t-beaneditor {
	display: block;
}

div.t-beaneditor-row {
	padding: 4px 0px 2px 0px;
}

div.t-beaneditor-row label {
	width: 250px;
	display: block;
	float: left;
	clear: left;
	padding-right: 3px;
	vertical-align: middle;
}

div.t-palette {
	display: inline;
}

div.t-palette select {
	margin-bottom: 2px;
	width: 200px;
}

div.t-palette-title {
	color: white;
	background-color: gray;
	text-align: center;
	font-weight: bold;
	margin-bottom: 3px;
	display: block;
}

div.t-palette-available {
	float: left;
}

div.t-palette-controls {
	margin: 5px 5px;
	float: left;
	text-align: center;
}

div.t-palette-controls button {
	display: block;
	margin-bottom: 3px;
}

div.t-palette-controls button[disabled] img {
	filter: alpha(opacity = 25);
	-moz-opacity: .25;
}

div.t-palette-selected {
	float: left;
	clear: right;
}

div.t-palette-spacer {
	clear: left;
}

/* replace existing icons with a glyphicon */
div.t-palette-controls>button>img {
	display: none !important;
}

div.t-palette-controls>button {
	position: relative;
	top: 1px;
	font-family: 'Glyphicons Halflings';
	font-style: normal;
	font-weight: normal;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale
}

div.t-palette-controls>button:before {
	content: "\e080"
}

div.t-palette-controls>button+button:before {
	content: "\e079"
}

.datePicker {
	border: 1px solid #ccc !important;
	background: #fff !important;
}

.datePicker .header {
	background: #fff !important;
}

.datePicker .previousButton, .nextButton {
	background: none !important;
}

.datePicker button.previousButton, button.nextButton {
	position: relative;
	top: 1px;
	font-family: 'Glyphicons Halflings' !important;
	font-style: normal;
	font-weight: normal;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.datePicker .previousButton, .nextButton {
	border: none
}

.datePicker .nextButton {
	left: -14px;
}

.datePicker .previousButton:before {
	content: "\e079"
}

.datePicker .nextButton:before {
	content: "\e080"
}

.legend-box {
	float: right;
	margin-top: 5px;
}

.legend {
	width: 15px;
	height: 15px;
	display: -moz-inline-box;
	display: inline-block;
	margin-right: 2px;
	margin-left: 4px;
	margin-top: -4px;
	vertical-align: middle;
}

.legend-valid {
	background: #ffffff;
	border-style: solid;
	border-width: 1px;
}

.legend-invalid {
	background: #dddddd;
}

.legend-autoselect {
	background: #aaffaa;
}

.legend-inherited {
	background: #ffff88;
}

.legend-revoked {
	background: #f2dede;
}

.legend-expired {
	background: #ffff88;
}

.certificate-not-trusted {
	background-color: #dddddd;
}

.certificate-revoked {
	background-color: #f2dede;
}

.certificate-expired {
	color: #a94442;
}

.table-row-no-wrap tr>td {
	white-space: nowrap;
}

.table-row-no-wrap tr>th {
	white-space: nowrap;
}

th.table-header-w10 {
	width: 10px !important;
}

.ml-1 {
	margin-left: 1px !important;
}

.ml-2 {
	margin-left: 2px !important;
}

.ml-3 {
	margin-left: 3px !important;
}

.ml-4 {
	margin-left: 4px !important;
}

.mt-1 {
	margin-top: 1px !important;
}

.mt-2 {
	margin-top: 2px !important;
}

.mt-3 {
	margin-top: 3px !important;
}

.mt-4 {
	margin-top: 4px !important;
}

.table-nonfluid {
	width: auto !important;
}

.table-no-border {
	border-width: 0 !important;
}

.table-no-border tr td, .table.no-border tr th {
	border-width: 0 !important;
}

.table-max-condensed td {
	padding-top: 0 !important;
	padding-bottom: 0 !important;
}

.table-ff-monospace tr {
	font-family: monospace;
}

.table-font-smaller tr {
	font-size: smaller;
}

.fw-bold {
	font-weight: bold;
}

.highlight-filter {
	background-color: #FFFF00;
}

/* Need word-wrap to support large texts without spaces */
.tooltip-inner {
	word-wrap: break-word
}

.borderless td, .borderless th {
	border: none !important;
}

/*
  Tapestry grid creates tables with class names equal to property names. This clashes with bootstrap default classes
  if the property is named "info".
*/
.table>thead>tr>th.info, .table>tbody>tr>td.info {
	background-color: white !important;
}

.ww-break-word {
	word-wrap: break-word;
}

.ff-monospace {
	font-family: monospace !important;
}

/* compress some vertical space for some bootstrap classes */
.page-header {
	margin-top: 20px !important;
	margin-bottom: 10px !important;
}

.panel {
	margin-bottom: 10px !important;
}

.well {
	margin-bottom: 10px !important;
}

.glyphicon-remove {
	color: red;
}

/* needed to get collapse on click working on iPad */
[data-toggle~="collapse"] {
	cursor: pointer;
}

.cursor-default {
	cursor: default !important;
}

.help-link {
	margin-left: 4px;
	font-size: 14px;
	color: #337ab7 !important;
}

h2 .help-link {
	vertical-align: middle;
}